org.tmatesoft.svn.core.javahl

## Class SVNClientImpl

- java.lang.Object
- - org.tmatesoft.svn.core.javahl.SVNClientImpl

- All Implemented Interfaces:
    org.tigris.subversion.javahl.SVNClientInterface

      public class SVNClientImpl
      extends java.lang.Object
      implements org.tigris.subversion.javahl.SVNClientInterface

  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SVNClientImpl.LogLevel`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SVNClientImpl(org.tigris.subversion.javahl.SVNClient owner)`
    `protected` | `SVNClientImpl(org.tigris.subversion.javahl.SVNClient owner, org.tmatesoft.svn.core.internal.io.dav.http.IHTTPConnectionFactory httpConnectionFactory, org.tmatesoft.svn.core.internal.io.svn.ISVNConnectorFactory svnConnectorFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String path, boolean recurse)`
    `void` | `add(java.lang.String path, boolean recurse, boolean force)`
    `void` | `add(java.lang.String path, int depth, boolean force, boolean noIgnores, boolean addParents)`
    `void` | `addToChangelist(java.lang.String[] paths, java.lang.String changelist, int depth, java.lang.String[] changelists)`
    `byte[]` | `blame(java.lang.String path, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd)`
    `void` | `blame(java.lang.String path, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd, org.tigris.subversion.javahl.BlameCallback callback)`
    `void` | `blame(java.lang.String path, org.tigris.subversion.javahl.Revision pegRevision, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd, org.tigris.subversion.javahl.BlameCallback callback)`
    `void` | `blame(java.lang.String path, org.tigris.subversion.javahl.Revision pegRevision, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd, boolean ignoreMimeType, boolean includeMergedRevisions, org.tigris.subversion.javahl.BlameCallback2 callback)`
    `void` | `cancelOperation()`
    `long` | `checkout(java.lang.String moduleName, java.lang.String destPath, org.tigris.subversion.javahl.Revision revision, boolean recurse)`
    `long` | `checkout(java.lang.String moduleName, java.lang.String destPath, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, boolean recurse, boolean ignoreExternals)`
    `long` | `checkout(java.lang.String moduleName, java.lang.String destPath, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, int depth, boolean ignoreExternals, boolean allowUnverObstructions)`
    `void` | `cleanup(java.lang.String path)`
    `long` | `commit(java.lang.String[] path, java.lang.String message, boolean recurse)`
    `long` | `commit(java.lang.String[] path, java.lang.String message, boolean recurse, boolean noUnlock)`
    `long[]` | `commit(java.lang.String[] path, java.lang.String message, boolean recurse, boolean noUnlock, boolean atomicCommit)`
    `long` | `commit(java.lang.String[] path, java.lang.String message, int depth, boolean noUnlock, boolean keepChangelist, java.lang.String[] changelists, java.util.Map revprops)`
    `long[]` | `commit(java.lang.String[] path, java.lang.String message, int depth, boolean noUnlock, boolean keepChangelist, java.lang.String[] changlelists, java.util.Map revprops, boolean atomicCommit)`
    `void` | `commitMessageHandler(org.tigris.subversion.javahl.CommitMessage messageHandler)`
    `void` | `copy(org.tigris.subversion.javahl.CopySource[] sources, java.lang.String destPath, java.lang.String message, boolean copyAsChild, boolean makeParents, java.util.Map revprops)`
    `void` | `copy(java.lang.String srcPath, java.lang.String destPath, java.lang.String message, org.tigris.subversion.javahl.Revision revision)`
    `protected ISVNCommitHandler` | `createCommitMessageHandler(boolean isURLsOnly)`
    `protected ISVNCommitHandler` | `createCommitMessageHandler(boolean isURLsOnly, boolean isImport)`
    `void` | `diff(java.lang.String target, org.tigris.subversion.javahl.Revision pegRevision, org.tigris.subversion.javahl.Revision startRevision, org.tigris.subversion.javahl.Revision endRevision, java.lang.String outFileName, boolean recurse, boolean ignoreAncestry, boolean noDiffDeleted, boolean force)`
    `void` | `diff(java.lang.String target, org.tigris.subversion.javahl.Revision pegRevision, org.tigris.subversion.javahl.Revision startRevision, org.tigris.subversion.javahl.Revision endRevision, java.lang.String relativeToDir, java.lang.String outFileName, int depth, java.lang.String[] changelists, boolean ignoreAncestry, boolean noDiffDeleted, boolean force)`
    `void` | `diff(java.lang.String target1, org.tigris.subversion.javahl.Revision revision1, java.lang.String target2, org.tigris.subversion.javahl.Revision revision2, java.lang.String outFileName, boolean recurse)`
    `void` | `diff(java.lang.String target1, org.tigris.subversion.javahl.Revision revision1, java.lang.String target2, org.tigris.subversion.javahl.Revision revision2, java.lang.String outFileName, boolean recurse, boolean ignoreAncestry, boolean noDiffDeleted, boolean force)`
    `void` | `diff(java.lang.String target1, org.tigris.subversion.javahl.Revision revision1, java.lang.String target2, org.tigris.subversion.javahl.Revision revision2, java.lang.String relativeToDir, java.lang.String outFileName, int depth, java.lang.String[] changelists, boolean ignoreAncestry, boolean noDiffDeleted, boolean force)`
    `void` | `diffSummarize(java.lang.String target, org.tigris.subversion.javahl.Revision pegRevision, org.tigris.subversion.javahl.Revision startRevision, org.tigris.subversion.javahl.Revision endRevision, int depth, java.lang.String[] changelists, boolean ignoreAncestry, org.tigris.subversion.javahl.DiffSummaryReceiver receiver)`
    `void` | `diffSummarize(java.lang.String target1, org.tigris.subversion.javahl.Revision revision1, java.lang.String target2, org.tigris.subversion.javahl.Revision revision2, int depth, java.lang.String[] changelists, boolean ignoreAncestry, org.tigris.subversion.javahl.DiffSummaryReceiver receiver)`
    `void` | `dispose()`
    `long` | `doExport(java.lang.String srcPath, java.lang.String destPath, org.tigris.subversion.javahl.Revision revision, boolean force)`
    `long` | `doExport(java.lang.String srcPath, java.lang.String destPath, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, boolean force, boolean ignoreExternals, boolean recurse, java.lang.String nativeEOL)`
    `long` | `doExport(java.lang.String srcPath, java.lang.String destPath, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, boolean force, boolean ignoreExternals, int depth, java.lang.String nativeEOL)`
    `void` | `doImport(java.lang.String path, java.lang.String url, java.lang.String message, boolean recurse)`
    `void` | `doImport(java.lang.String path, java.lang.String url, java.lang.String message, int depth, boolean noIgnore, boolean ignoreUnknownNodeTypes, java.util.Map revprops)`
    `long` | `doSwitch(java.lang.String path, java.lang.String url, org.tigris.subversion.javahl.Revision revision, boolean recurse)`
    `long` | `doSwitch(java.lang.String path, java.lang.String url, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, int depth, boolean depthIsSticky, boolean ignoreExternals, boolean allowUnverObstructions)`
    `static void` | `enableLogging(int logLevel, java.lang.String logFilePath)`
    `byte[]` | `fileContent(java.lang.String path, org.tigris.subversion.javahl.Revision revision)`
    `byte[]` | `fileContent(java.lang.String path, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision)`
    `java.lang.String` | `getAdminDirectoryName()`
    `protected SVNChangelistClient` | `getChangelistClient()`
    `void` | `getChangelists(java.lang.String rootPath, java.lang.String[] changelists, int depth, org.tigris.subversion.javahl.ChangelistCallback callback)`
    `org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage` | `getClientCredentialsStorage()`
    `protected SVNClientManager` | `getClientManager()`
    `protected org.tigris.subversion.javahl.CommitMessage` | `getCommitMessage()`
    `java.lang.String` | `getConfigDirectory()`
    `protected ISVNConflictHandler` | `getConflictHandler()`
    `org.tmatesoft.svn.util.ISVNDebugLog` | `getDebugLog()`
    `protected ISVNEventHandler` | `getEventListener()`
    `java.lang.String` | `getLastPath()`
    `org.tigris.subversion.javahl.Mergeinfo` | `getMergeinfo(java.lang.String path, org.tigris.subversion.javahl.Revision revision)`
    `void` | `getMergeinfoLog(int kind, java.lang.String pathOrUrl, org.tigris.subversion.javahl.Revision pegRevision, java.lang.String mergeSourceUrl, org.tigris.subversion.javahl.Revision srcPegRevision, boolean discoverChangedPaths, java.lang.String[] revprops, org.tigris.subversion.javahl.LogMessageCallback callback)`
    `protected org.tigris.subversion.javahl.Notify` | `getNotify()` Deprecated.
    `protected org.tigris.subversion.javahl.Notify2` | `getNotify2()`
    `ISVNOptions` | `getOptions()`
    `static org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage` | `getRuntimeCredentialsStorage()`
    `protected SVNCommitClient` | `getSVNCommitClient()`
    `protected SVNCopyClient` | `getSVNCopyClient()`
    `protected SVNDiffClient` | `getSVNDiffClient()`
    `protected SVNLogClient` | `getSVNLogClient()`
    `protected SVNStatusClient` | `getSVNStatusClient()`
    `protected SVNUpdateClient` | `getSVNUpdateClient()`
    `protected SVNWCClient` | `getSVNWCClient()`
    `org.tigris.subversion.javahl.Version` | `getVersion()`
    `java.lang.String` | `getVersionInfo(java.lang.String path, java.lang.String trailUrl, boolean lastChanged)`
    `org.tigris.subversion.javahl.Info` | `info(java.lang.String path)`
    `org.tigris.subversion.javahl.Info2[]` | `info2(java.lang.String pathOrUrl, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, boolean recurse)`
    `void` | `info2(java.lang.String pathOrUrl, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, int depth, java.lang.String[] changelists, org.tigris.subversion.javahl.InfoCallback callback)`
    `boolean` | `isAdminDirectory(java.lang.String name)`
    `protected static boolean` | `isURL(java.lang.String pathOrUrl)`
    `org.tigris.subversion.javahl.DirEntry[]` | `list(java.lang.String url, org.tigris.subversion.javahl.Revision revision, boolean recurse)`
    `org.tigris.subversion.javahl.DirEntry[]` | `list(java.lang.String url, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, boolean recurse)`
    `void` | `list(java.lang.String url, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, int depth, int direntFields, boolean fetchLocks, org.tigris.subversion.javahl.ListCallback callback)`
    `void` | `lock(java.lang.String[] path, java.lang.String comment, boolean force)`
    `org.tigris.subversion.javahl.LogMessage[]` | `logMessages(java.lang.String path, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd)`
    `org.tigris.subversion.javahl.LogMessage[]` | `logMessages(java.lang.String path, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd, boolean stopOnCopy)`
    `org.tigris.subversion.javahl.LogMessage[]` | `logMessages(java.lang.String path, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd, boolean stopOnCopy, boolean discoverPath)`
    `org.tigris.subversion.javahl.LogMessage[]` | `logMessages(java.lang.String path, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd, boolean stopOnCopy, boolean discoverPath, long limit)`
    `void` | `logMessages(java.lang.String path, org.tigris.subversion.javahl.Revision pegRevision, org.tigris.subversion.javahl.RevisionRange[] ranges, boolean stopOnCopy, boolean discoverPath, boolean includeMergedRevisions, java.lang.String[] revProps, long limit, org.tigris.subversion.javahl.LogMessageCallback callback)`
    `void` | `logMessages(java.lang.String path, org.tigris.subversion.javahl.Revision pegRevision, org.tigris.subversion.javahl.Revision revisionStart, org.tigris.subversion.javahl.Revision revisionEnd, boolean stopOnCopy, boolean discoverPath, boolean includeMergedRevisions, java.lang.String[] revProps, long limit, org.tigris.subversion.javahl.LogMessageCallback callback)`
    `void` | `merge(java.lang.String path, org.tigris.subversion.javahl.Revision pegRevision, org.tigris.subversion.javahl.RevisionRange[] revisions, java.lang.String localPath, boolean force, int depth, boolean ignoreAncestry, boolean dryRun, boolean recordOnly)`
    `void` | `merge(java.lang.String path, org.tigris.subversion.javahl.Revision pegRevision, org.tigris.subversion.javahl.Revision revision1, org.tigris.subversion.javahl.Revision revision2, java.lang.String localPath, boolean force, boolean recurse, boolean ignoreAncestry, boolean dryRun)`
    `void` | `merge(java.lang.String path1, org.tigris.subversion.javahl.Revision revision1, java.lang.String path2, org.tigris.subversion.javahl.Revision revision2, java.lang.String localPath, boolean force, boolean recurse)`
    `void` | `merge(java.lang.String path1, org.tigris.subversion.javahl.Revision revision1, java.lang.String path2, org.tigris.subversion.javahl.Revision revision2, java.lang.String localPath, boolean force, boolean recurse, boolean ignoreAncestry, boolean dryRun)`
    `void` | `merge(java.lang.String path1, org.tigris.subversion.javahl.Revision revision1, java.lang.String path2, org.tigris.subversion.javahl.Revision revision2, java.lang.String localPath, boolean force, int depth, boolean ignoreAncestry, boolean dryRun, boolean recordOnly)`
    `void` | `mergeReintegrate(java.lang.String path, org.tigris.subversion.javahl.Revision pegRevision, java.lang.String localPath, boolean dryRun)`
    `void` | `mkdir(java.lang.String[] path, java.lang.String message)`
    `void` | `mkdir(java.lang.String[] path, java.lang.String message, boolean makeParents, java.util.Map revprops)`
    `void` | `move(java.lang.String[] srcPaths, java.lang.String destPath, java.lang.String message, boolean force, boolean moveAsChild, boolean makeParents, java.util.Map revprops)`
    `void` | `move(java.lang.String srcPath, java.lang.String destPath, java.lang.String message, boolean force)`
    `void` | `move(java.lang.String srcPath, java.lang.String destPath, java.lang.String message, org.tigris.subversion.javahl.Revision revision, boolean force)`
    `static SVNClientImpl` | `newInstance()`
    `static SVNClientImpl` | `newInstance(org.tigris.subversion.javahl.SVNClient owner)`
    `static SVNClientImpl` | `newInstance(org.tigris.subversion.javahl.SVNClient owner, org.tmatesoft.svn.core.internal.io.dav.http.IHTTPConnectionFactory httpConnectionFactory, org.tmatesoft.svn.core.internal.io.svn.ISVNConnectorFactory svnConnectorFactory)`
    `static SVNClientImpl` | `newInstance(org.tigris.subversion.javahl.SVNClient owner, org.tmatesoft.svn.core.internal.io.dav.http.IHTTPConnectionFactory httpConnectionFactory, org.tmatesoft.svn.core.internal.io.svn.ISVNConnectorFactory svnConnectorFactory, boolean trackClient)`
    `void` | `notification(org.tigris.subversion.javahl.Notify notify)` Deprecated.
    `void` | `notification2(org.tigris.subversion.javahl.Notify2 notify)`
    `void` | `password(java.lang.String password)`
    `org.tigris.subversion.javahl.PropertyData[]` | `properties(java.lang.String path)`
    `org.tigris.subversion.javahl.PropertyData[]` | `properties(java.lang.String path, org.tigris.subversion.javahl.Revision revision)`
    `org.tigris.subversion.javahl.PropertyData[]` | `properties(java.lang.String path, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision)`
    `void` | `properties(java.lang.String path, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, int depth, java.lang.String[] changelists, org.tigris.subversion.javahl.ProplistCallback callback)`
    `void` | `propertyCreate(java.lang.String path, java.lang.String name, byte[] value, boolean recurse)`
    `void` | `propertyCreate(java.lang.String path, java.lang.String name, byte[] value, boolean recurse, boolean force)`
    `void` | `propertyCreate(java.lang.String path, java.lang.String name, java.lang.String value, boolean recurse)`
    `void` | `propertyCreate(java.lang.String path, java.lang.String name, java.lang.String value, boolean recurse, boolean force)`
    `void` | `propertyCreate(java.lang.String path, java.lang.String name, java.lang.String value, int depth, java.lang.String[] changelists, boolean force)`
    `org.tigris.subversion.javahl.PropertyData` | `propertyGet(java.lang.String path, java.lang.String name)`
    `org.tigris.subversion.javahl.PropertyData` | `propertyGet(java.lang.String path, java.lang.String name, org.tigris.subversion.javahl.Revision revision)`
    `org.tigris.subversion.javahl.PropertyData` | `propertyGet(java.lang.String path, java.lang.String name, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision)`
    `void` | `propertyRemove(java.lang.String path, java.lang.String name, boolean recurse)`
    `void` | `propertyRemove(java.lang.String path, java.lang.String name, int depth, java.lang.String[] changelists)`
    `void` | `propertySet(java.lang.String path, java.lang.String name, byte[] value, boolean recurse)`
    `void` | `propertySet(java.lang.String path, java.lang.String name, byte[] value, boolean recurse, boolean force)`
    `void` | `propertySet(java.lang.String path, java.lang.String name, java.lang.String value, boolean recurse)`
    `void` | `propertySet(java.lang.String path, java.lang.String name, java.lang.String value, boolean recurse, boolean force)`
    `void` | `propertySet(java.lang.String path, java.lang.String name, java.lang.String value, int depth, java.lang.String[] changelists, boolean force, java.util.Map revprops)`
    `void` | `relocate(java.lang.String from, java.lang.String to, java.lang.String path, boolean recurse)`
    `void` | `remove(java.lang.String[] path, java.lang.String message, boolean force)`
    `void` | `remove(java.lang.String[] path, java.lang.String message, boolean force, boolean keepLocal, java.util.Map revprops)`
    `void` | `removeFromChangelists(java.lang.String[] paths, int depth, java.lang.String[] changelists)`
    `void` | `resolve(java.lang.String path, int depth, int conflictResult)`
    `void` | `resolved(java.lang.String path, boolean recurse)`
    `void` | `revert(java.lang.String path, boolean recurse)`
    `void` | `revert(java.lang.String path, int depth, java.lang.String[] changelists)`
    `org.tigris.subversion.javahl.PropertyData[]` | `revProperties(java.lang.String path, org.tigris.subversion.javahl.Revision rev)`
    `org.tigris.subversion.javahl.PropertyData` | `revProperty(java.lang.String path, java.lang.String name, org.tigris.subversion.javahl.Revision rev)`
    `void` | `setClientCredentialsStorage(org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage storage)`
    `void` | `setConfigDirectory(java.lang.String configDir)`
    `void` | `setConflictResolver(org.tigris.subversion.javahl.ConflictResolverCallback listener)`
    `void` | `setProgressListener(org.tigris.subversion.javahl.ProgressListener listener)`
    `void` | `setPrompt(org.tigris.subversion.javahl.PromptUserPassword prompt)`
    `void` | `setRevProperty(java.lang.String path, java.lang.String name, org.tigris.subversion.javahl.Revision rev, java.lang.String value, boolean force)`
    `void` | `setRevProperty(java.lang.String path, java.lang.String name, org.tigris.subversion.javahl.Revision rev, java.lang.String value, java.lang.String originalValue, boolean force)`
    `static void` | `setRuntimeCredentialsStorage(org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage storage)`
    `org.tigris.subversion.javahl.Status` | `singleStatus(java.lang.String path, boolean onServer)`
    `org.tigris.subversion.javahl.Status[]` | `status(java.lang.String path, boolean descend, boolean onServer, boolean getAll)`
    `org.tigris.subversion.javahl.Status[]` | `status(java.lang.String path, boolean descend, boolean onServer, boolean getAll, boolean noIgnore)`
    `org.tigris.subversion.javahl.Status[]` | `status(java.lang.String path, boolean descend, boolean onServer, boolean getAll, boolean noIgnore, boolean ignoreExternals)`
    `void` | `status(java.lang.String path, int depth, boolean onServer, boolean getAll, boolean noIgnore, boolean ignoreExternals, java.lang.String[] changelists, org.tigris.subversion.javahl.StatusCallback callback)`
    `void` | `streamFileContent(java.lang.String path, org.tigris.subversion.javahl.Revision revision, org.tigris.subversion.javahl.Revision pegRevision, int bufferSize, java.io.OutputStream stream)`
    `java.lang.String[]` | `suggestMergeSources(java.lang.String path, org.tigris.subversion.javahl.Revision pegRevision)`
    `protected void` | `throwException(SVNException e)`
    `void` | `unlock(java.lang.String[] path, boolean force)`
    `long[]` | `update(java.lang.String[] path, org.tigris.subversion.javahl.Revision revision, boolean recurse, boolean ignoreExternals)`
    `long[]` | `update(java.lang.String[] path, org.tigris.subversion.javahl.Revision revision, int depth, boolean depthIsSticky, boolean ignoreExternals, boolean allowUnverObstructions)`
    `long` | `update(java.lang.String path, org.tigris.subversion.javahl.Revision revision, boolean recurse)`
    `long` | `update(java.lang.String path, org.tigris.subversion.javahl.Revision revision, int depth, boolean depthIsSticky, boolean ignoreExternals, boolean allowUnverObstructions)`
    `void` | `username(java.lang.String username)`
    `static java.lang.String` | `version()`
    `static int` | `versionMajor()`
    `static int` | `versionMicro()`
    `static int` | `versionMinor()`
    `static long` | `versionRevisionNumber()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVNClientImpl

          protected SVNClientImpl(org.tigris.subversion.javahl.SVNClient owner)

    - #### SVNClientImpl

          protected SVNClientImpl(org.tigris.subversion.javahl.SVNClient owner,
                       org.tmatesoft.svn.core.internal.io.dav.http.IHTTPConnectionFactory httpConnectionFactory,
                       org.tmatesoft.svn.core.internal.io.svn.ISVNConnectorFactory svnConnectorFactory)

  - ### Method Detail

    - #### newInstance

          public static SVNClientImpl newInstance()

    - #### newInstance

          public static SVNClientImpl newInstance(org.tigris.subversion.javahl.SVNClient owner)

    - #### newInstance

          public static SVNClientImpl newInstance(org.tigris.subversion.javahl.SVNClient owner,
                                  org.tmatesoft.svn.core.internal.io.dav.http.IHTTPConnectionFactory httpConnectionFactory,
                                  org.tmatesoft.svn.core.internal.io.svn.ISVNConnectorFactory svnConnectorFactory)

    - #### newInstance

          public static SVNClientImpl newInstance(org.tigris.subversion.javahl.SVNClient owner,
                                  org.tmatesoft.svn.core.internal.io.dav.http.IHTTPConnectionFactory httpConnectionFactory,
                                  org.tmatesoft.svn.core.internal.io.svn.ISVNConnectorFactory svnConnectorFactory,
                                  boolean trackClient)

    - #### getRuntimeCredentialsStorage

          public static org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage getRuntimeCredentialsStorage()

    - #### setRuntimeCredentialsStorage

          public static void setRuntimeCredentialsStorage(org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage storage)

    - #### getClientCredentialsStorage

          public org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage getClientCredentialsStorage()

    - #### setClientCredentialsStorage

          public void setClientCredentialsStorage(org.tmatesoft.svn.core.internal.wc.ISVNAuthenticationStorage storage)

    - #### getDebugLog

          public org.tmatesoft.svn.util.ISVNDebugLog getDebugLog()

    - #### getLastPath

          public java.lang.String getLastPath()

      Specified by:
        `getLastPath` in interface `org.tigris.subversion.javahl.SVNClientInterface`

    - #### status

          public org.tigris.subversion.javahl.Status[] status(java.lang.String path,
                                                     boolean descend,
                                                     boolean onServer,
                                                     boolean getAll)
                                                       throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `status` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### status

          public org.tigris.subversion.javahl.Status[] status(java.lang.String path,
                                                     boolean descend,
                                                     boolean onServer,
                                                     boolean getAll,
                                                     boolean noIgnore)
                                                       throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `status` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### status

          public org.tigris.subversion.javahl.Status[] status(java.lang.String path,
                                                     boolean descend,
                                                     boolean onServer,
                                                     boolean getAll,
                                                     boolean noIgnore,
                                                     boolean ignoreExternals)
                                                       throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `status` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### status

          public void status(java.lang.String path,
                    int depth,
                    boolean onServer,
                    boolean getAll,
                    boolean noIgnore,
                    boolean ignoreExternals,
                    java.lang.String[] changelists,
                    org.tigris.subversion.javahl.StatusCallback callback)
                      throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `status` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### singleStatus

          public org.tigris.subversion.javahl.Status singleStatus(java.lang.String path,
                                                         boolean onServer)
                                                           throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `singleStatus` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### list

          public org.tigris.subversion.javahl.DirEntry[] list(java.lang.String url,
                                                     org.tigris.subversion.javahl.Revision revision,
                                                     boolean recurse)
                                                       throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `list` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### list

          public org.tigris.subversion.javahl.DirEntry[] list(java.lang.String url,
                                                     org.tigris.subversion.javahl.Revision revision,
                                                     org.tigris.subversion.javahl.Revision pegRevision,
                                                     boolean recurse)
                                                       throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `list` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### list

          public void list(java.lang.String url,
                  org.tigris.subversion.javahl.Revision revision,
                  org.tigris.subversion.javahl.Revision pegRevision,
                  int depth,
                  int direntFields,
                  boolean fetchLocks,
                  org.tigris.subversion.javahl.ListCallback callback)
                    throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `list` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### username

          public void username(java.lang.String username)

      Specified by:
        `username` in interface `org.tigris.subversion.javahl.SVNClientInterface`

    - #### password

          public void password(java.lang.String password)

      Specified by:
        `password` in interface `org.tigris.subversion.javahl.SVNClientInterface`

    - #### setPrompt

          public void setPrompt(org.tigris.subversion.javahl.PromptUserPassword prompt)

      Specified by:
        `setPrompt` in interface `org.tigris.subversion.javahl.SVNClientInterface`

    - #### logMessages

          public org.tigris.subversion.javahl.LogMessage[] logMessages(java.lang.String path,
                                                              org.tigris.subversion.javahl.Revision revisionStart,
                                                              org.tigris.subversion.javahl.Revision revisionEnd)
                                                                throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `logMessages` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### logMessages

          public org.tigris.subversion.javahl.LogMessage[] logMessages(java.lang.String path,
                                                              org.tigris.subversion.javahl.Revision revisionStart,
                                                              org.tigris.subversion.javahl.Revision revisionEnd,
                                                              boolean stopOnCopy)
                                                                throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `logMessages` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### logMessages

          public org.tigris.subversion.javahl.LogMessage[] logMessages(java.lang.String path,
                                                              org.tigris.subversion.javahl.Revision revisionStart,
                                                              org.tigris.subversion.javahl.Revision revisionEnd,
                                                              boolean stopOnCopy,
                                                              boolean discoverPath)
                                                                throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `logMessages` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### logMessages

          public org.tigris.subversion.javahl.LogMessage[] logMessages(java.lang.String path,
                                                              org.tigris.subversion.javahl.Revision revisionStart,
                                                              org.tigris.subversion.javahl.Revision revisionEnd,
                                                              boolean stopOnCopy,
                                                              boolean discoverPath,
                                                              long limit)
                                                                throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `logMessages` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### logMessages

          public void logMessages(java.lang.String path,
                         org.tigris.subversion.javahl.Revision pegRevision,
                         org.tigris.subversion.javahl.Revision revisionStart,
                         org.tigris.subversion.javahl.Revision revisionEnd,
                         boolean stopOnCopy,
                         boolean discoverPath,
                         boolean includeMergedRevisions,
                         java.lang.String[] revProps,
                         long limit,
                         org.tigris.subversion.javahl.LogMessageCallback callback)
                           throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `logMessages` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### notification

          public void notification(org.tigris.subversion.javahl.Notify notify)

      Deprecated.
      Specified by:
        `notification` in interface `org.tigris.subversion.javahl.SVNClientInterface`

    - #### notification2

          public void notification2(org.tigris.subversion.javahl.Notify2 notify)

      Specified by:
        `notification2` in interface `org.tigris.subversion.javahl.SVNClientInterface`

    - #### setProgressListener

          public void setProgressListener(org.tigris.subversion.javahl.ProgressListener listener)

      Specified by:
        `setProgressListener` in interface `org.tigris.subversion.javahl.SVNClientInterface`

    - #### commitMessageHandler

          public void commitMessageHandler(org.tigris.subversion.javahl.CommitMessage messageHandler)

      Specified by:
        `commitMessageHandler` in interface `org.tigris.subversion.javahl.SVNClientInterface`

    - #### setConflictResolver

          public void setConflictResolver(org.tigris.subversion.javahl.ConflictResolverCallback listener)

      Specified by:
        `setConflictResolver` in interface `org.tigris.subversion.javahl.SVNClientInterface`

    - #### remove

          public void remove(java.lang.String[] path,
                    java.lang.String message,
                    boolean force)
                      throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `remove` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### remove

          public void remove(java.lang.String[] path,
                    java.lang.String message,
                    boolean force,
                    boolean keepLocal,
                    java.util.Map revprops)
                      throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `remove` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### revert

          public void revert(java.lang.String path,
                    boolean recurse)
                      throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `revert` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### revert

          public void revert(java.lang.String path,
                    int depth,
                    java.lang.String[] changelists)
                      throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `revert` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### add

          public void add(java.lang.String path,
                 boolean recurse)
                   throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `add` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### add

          public void add(java.lang.String path,
                 boolean recurse,
                 boolean force)
                   throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `add` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### add

          public void add(java.lang.String path,
                 int depth,
                 boolean force,
                 boolean noIgnores,
                 boolean addParents)
                   throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `add` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### update

          public long update(java.lang.String path,
                    org.tigris.subversion.javahl.Revision revision,
                    boolean recurse)
                      throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `update` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### update

          public long[] update(java.lang.String[] path,
                      org.tigris.subversion.javahl.Revision revision,
                      boolean recurse,
                      boolean ignoreExternals)
                        throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `update` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### update

          public long update(java.lang.String path,
                    org.tigris.subversion.javahl.Revision revision,
                    int depth,
                    boolean depthIsSticky,
                    boolean ignoreExternals,
                    boolean allowUnverObstructions)
                      throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `update` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### update

          public long[] update(java.lang.String[] path,
                      org.tigris.subversion.javahl.Revision revision,
                      int depth,
                      boolean depthIsSticky,
                      boolean ignoreExternals,
                      boolean allowUnverObstructions)
                        throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `update` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### commit

          public long commit(java.lang.String[] path,
                    java.lang.String message,
                    boolean recurse)
                      throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `commit` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### commit

          public long commit(java.lang.String[] path,
                    java.lang.String message,
                    boolean recurse,
                    boolean noUnlock)
                      throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `commit` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### commit

          public long commit(java.lang.String[] path,
                    java.lang.String message,
                    int depth,
                    boolean noUnlock,
                    boolean keepChangelist,
                    java.lang.String[] changelists,
                    java.util.Map revprops)
                      throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `commit` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### commit

          public long[] commit(java.lang.String[] path,
                      java.lang.String message,
                      boolean recurse,
                      boolean noUnlock,
                      boolean atomicCommit)
                        throws org.tigris.subversion.javahl.ClientException

      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### commit

          public long[] commit(java.lang.String[] path,
                      java.lang.String message,
                      int depth,
                      boolean noUnlock,
                      boolean keepChangelist,
                      java.lang.String[] changlelists,
                      java.util.Map revprops,
                      boolean atomicCommit)
                        throws org.tigris.subversion.javahl.ClientException

      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### copy

          public void copy(java.lang.String srcPath,
                  java.lang.String destPath,
                  java.lang.String message,
                  org.tigris.subversion.javahl.Revision revision)
                    throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `copy` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### copy

          public void copy(org.tigris.subversion.javahl.CopySource[] sources,
                  java.lang.String destPath,
                  java.lang.String message,
                  boolean copyAsChild,
                  boolean makeParents,
                  java.util.Map revprops)
                    throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `copy` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### move

          public void move(java.lang.String srcPath,
                  java.lang.String destPath,
                  java.lang.String message,
                  boolean force)
                    throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `move` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### move

          public void move(java.lang.String srcPath,
                  java.lang.String destPath,
                  java.lang.String message,
                  org.tigris.subversion.javahl.Revision revision,
                  boolean force)
                    throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `move` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### move

          public void move(java.lang.String[] srcPaths,
                  java.lang.String destPath,
                  java.lang.String message,
                  boolean force,
                  boolean moveAsChild,
                  boolean makeParents,
                  java.util.Map revprops)
                    throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `move` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### mkdir

          public void mkdir(java.lang.String[] path,
                   java.lang.String message)
                     throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `mkdir` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### mkdir

          public void mkdir(java.lang.String[] path,
                   java.lang.String message,
                   boolean makeParents,
                   java.util.Map revprops)
                     throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `mkdir` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### cleanup

          public void cleanup(java.lang.String path)
                       throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `cleanup` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### resolved

          public void resolved(java.lang.String path,
                      boolean recurse)
                        throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `resolved` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### resolve

          public void resolve(java.lang.String path,
                     int depth,
                     int conflictResult)
                       throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `resolve` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### doExport

          public long doExport(java.lang.String srcPath,
                      java.lang.String destPath,
                      org.tigris.subversion.javahl.Revision revision,
                      boolean force)
                        throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `doExport` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### doExport

          public long doExport(java.lang.String srcPath,
                      java.lang.String destPath,
                      org.tigris.subversion.javahl.Revision revision,
                      org.tigris.subversion.javahl.Revision pegRevision,
                      boolean force,
                      boolean ignoreExternals,
                      boolean recurse,
                      java.lang.String nativeEOL)
                        throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `doExport` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### doExport

          public long doExport(java.lang.String srcPath,
                      java.lang.String destPath,
                      org.tigris.subversion.javahl.Revision revision,
                      org.tigris.subversion.javahl.Revision pegRevision,
                      boolean force,
                      boolean ignoreExternals,
                      int depth,
                      java.lang.String nativeEOL)
                        throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `doExport` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### doImport

          public void doImport(java.lang.String path,
                      java.lang.String url,
                      java.lang.String message,
                      boolean recurse)
                        throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `doImport` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### doImport

          public void doImport(java.lang.String path,
                      java.lang.String url,
                      java.lang.String message,
                      int depth,
                      boolean noIgnore,
                      boolean ignoreUnknownNodeTypes,
                      java.util.Map revprops)
                        throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `doImport` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### merge

          public void merge(java.lang.String path,
                   org.tigris.subversion.javahl.Revision pegRevision,
                   org.tigris.subversion.javahl.RevisionRange[] revisions,
                   java.lang.String localPath,
                   boolean force,
                   int depth,
                   boolean ignoreAncestry,
                   boolean dryRun,
                   boolean recordOnly)
                     throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `merge` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### merge

          public void merge(java.lang.String path,
                   org.tigris.subversion.javahl.Revision pegRevision,
                   org.tigris.subversion.javahl.Revision revision1,
                   org.tigris.subversion.javahl.Revision revision2,
                   java.lang.String localPath,
                   boolean force,
                   boolean recurse,
                   boolean ignoreAncestry,
                   boolean dryRun)
                     throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `merge` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### merge

          public void merge(java.lang.String path1,
                   org.tigris.subversion.javahl.Revision revision1,
                   java.lang.String path2,
                   org.tigris.subversion.javahl.Revision revision2,
                   java.lang.String localPath,
                   boolean force,
                   boolean recurse)
                     throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `merge` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### merge

          public void merge(java.lang.String path1,
                   org.tigris.subversion.javahl.Revision revision1,
                   java.lang.String path2,
                   org.tigris.subversion.javahl.Revision revision2,
                   java.lang.String localPath,
                   boolean force,
                   boolean recurse,
                   boolean ignoreAncestry,
                   boolean dryRun)
                     throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `merge` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### merge

          public void merge(java.lang.String path1,
                   org.tigris.subversion.javahl.Revision revision1,
                   java.lang.String path2,
                   org.tigris.subversion.javahl.Revision revision2,
                   java.lang.String localPath,
                   boolean force,
                   int depth,
                   boolean ignoreAncestry,
                   boolean dryRun,
                   boolean recordOnly)
                     throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `merge` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### mergeReintegrate

          public void mergeReintegrate(java.lang.String path,
                              org.tigris.subversion.javahl.Revision pegRevision,
                              java.lang.String localPath,
                              boolean dryRun)
                                throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `mergeReintegrate` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### suggestMergeSources

          public java.lang.String[] suggestMergeSources(java.lang.String path,
                                               org.tigris.subversion.javahl.Revision pegRevision)
                                                 throws org.tigris.subversion.javahl.SubversionException

      Specified by:
        `suggestMergeSources` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.SubversionException`

    - #### getMergeinfo

          public org.tigris.subversion.javahl.Mergeinfo getMergeinfo(java.lang.String path,
                                                            org.tigris.subversion.javahl.Revision revision)
                                                              throws org.tigris.subversion.javahl.SubversionException

      Specified by:
        `getMergeinfo` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.SubversionException`

    - #### getMergeinfoLog

          public void getMergeinfoLog(int kind,
                             java.lang.String pathOrUrl,
                             org.tigris.subversion.javahl.Revision pegRevision,
                             java.lang.String mergeSourceUrl,
                             org.tigris.subversion.javahl.Revision srcPegRevision,
                             boolean discoverChangedPaths,
                             java.lang.String[] revprops,
                             org.tigris.subversion.javahl.LogMessageCallback callback)
                               throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `getMergeinfoLog` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### properties

          public org.tigris.subversion.javahl.PropertyData[] properties(java.lang.String path)
                                                                 throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `properties` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### properties

          public org.tigris.subversion.javahl.PropertyData[] properties(java.lang.String path,
                                                               org.tigris.subversion.javahl.Revision revision)
                                                                 throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `properties` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### properties

          public org.tigris.subversion.javahl.PropertyData[] properties(java.lang.String path,
                                                               org.tigris.subversion.javahl.Revision revision,
                                                               org.tigris.subversion.javahl.Revision pegRevision)
                                                                 throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `properties` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### properties

          public void properties(java.lang.String path,
                        org.tigris.subversion.javahl.Revision revision,
                        org.tigris.subversion.javahl.Revision pegRevision,
                        int depth,
                        java.lang.String[] changelists,
                        org.tigris.subversion.javahl.ProplistCallback callback)
                          throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `properties` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertySet

          public void propertySet(java.lang.String path,
                         java.lang.String name,
                         byte[] value,
                         boolean recurse)
                           throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertySet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertySet

          public void propertySet(java.lang.String path,
                         java.lang.String name,
                         byte[] value,
                         boolean recurse,
                         boolean force)
                           throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertySet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertySet

          public void propertySet(java.lang.String path,
                         java.lang.String name,
                         java.lang.String value,
                         boolean recurse)
                           throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertySet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertySet

          public void propertySet(java.lang.String path,
                         java.lang.String name,
                         java.lang.String value,
                         boolean recurse,
                         boolean force)
                           throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertySet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertySet

          public void propertySet(java.lang.String path,
                         java.lang.String name,
                         java.lang.String value,
                         int depth,
                         java.lang.String[] changelists,
                         boolean force,
                         java.util.Map revprops)
                           throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertySet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertyRemove

          public void propertyRemove(java.lang.String path,
                            java.lang.String name,
                            boolean recurse)
                              throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertyRemove` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertyRemove

          public void propertyRemove(java.lang.String path,
                            java.lang.String name,
                            int depth,
                            java.lang.String[] changelists)
                              throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertyRemove` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertyGet

          public org.tigris.subversion.javahl.PropertyData propertyGet(java.lang.String path,
                                                              java.lang.String name)
                                                                throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertyGet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertyGet

          public org.tigris.subversion.javahl.PropertyData propertyGet(java.lang.String path,
                                                              java.lang.String name,
                                                              org.tigris.subversion.javahl.Revision revision)
                                                                throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertyGet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertyGet

          public org.tigris.subversion.javahl.PropertyData propertyGet(java.lang.String path,
                                                              java.lang.String name,
                                                              org.tigris.subversion.javahl.Revision revision,
                                                              org.tigris.subversion.javahl.Revision pegRevision)
                                                                throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertyGet` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertyCreate

          public void propertyCreate(java.lang.String path,
                            java.lang.String name,
                            java.lang.String value,
                            boolean recurse)
                              throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertyCreate` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertyCreate

          public void propertyCreate(java.lang.String path,
                            java.lang.String name,
                            byte[] value,
                            boolean recurse)
                              throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertyCreate` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertyCreate

          public void propertyCreate(java.lang.String path,
                            java.lang.String name,
                            byte[] value,
                            boolean recurse,
                            boolean force)
                              throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertyCreate` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertyCreate

          public void propertyCreate(java.lang.String path,
                            java.lang.String name,
                            java.lang.String value,
                            boolean recurse,
                            boolean force)
                              throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertyCreate` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### propertyCreate

          public void propertyCreate(java.lang.String path,
                            java.lang.String name,
                            java.lang.String value,
                            int depth,
                            java.lang.String[] changelists,
                            boolean force)
                              throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `propertyCreate` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### revProperty

          public org.tigris.subversion.javahl.PropertyData revProperty(java.lang.String path,
                                                              java.lang.String name,
                                                              org.tigris.subversion.javahl.Revision rev)
                                                                throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `revProperty` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### revProperties

          public org.tigris.subversion.javahl.PropertyData[] revProperties(java.lang.String path,
                                                                  org.tigris.subversion.javahl.Revision rev)
                                                                    throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `revProperties` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### setRevProperty

          public void setRevProperty(java.lang.String path,
                            java.lang.String name,
                            org.tigris.subversion.javahl.Revision rev,
                            java.lang.String value,
                            boolean force)
                              throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `setRevProperty` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### fileContent

          public byte[] fileContent(java.lang.String path,
                           org.tigris.subversion.javahl.Revision revision)
                             throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `fileContent` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### fileContent

          public byte[] fileContent(java.lang.String path,
                           org.tigris.subversion.javahl.Revision revision,
                           org.tigris.subversion.javahl.Revision pegRevision)
                             throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `fileContent` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### streamFileContent

          public void streamFileContent(java.lang.String path,
                               org.tigris.subversion.javahl.Revision revision,
                               org.tigris.subversion.javahl.Revision pegRevision,
                               int bufferSize,
                               java.io.OutputStream stream)
                                 throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `streamFileContent` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### relocate

          public void relocate(java.lang.String from,
                      java.lang.String to,
                      java.lang.String path,
                      boolean recurse)
                        throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `relocate` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### blame

          public void blame(java.lang.String path,
                   org.tigris.subversion.javahl.Revision revisionStart,
                   org.tigris.subversion.javahl.Revision revisionEnd,
                   org.tigris.subversion.javahl.BlameCallback callback)
                     throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `blame` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### blame

          public byte[] blame(java.lang.String path,
                     org.tigris.subversion.javahl.Revision revisionStart,
                     org.tigris.subversion.javahl.Revision revisionEnd)
                       throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `blame` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### blame

          public void blame(java.lang.String path,
                   org.tigris.subversion.javahl.Revision pegRevision,
                   org.tigris.subversion.javahl.Revision revisionStart,
                   org.tigris.subversion.javahl.Revision revisionEnd,
                   org.tigris.subversion.javahl.BlameCallback callback)
                     throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `blame` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### blame

          public void blame(java.lang.String path,
                   org.tigris.subversion.javahl.Revision pegRevision,
                   org.tigris.subversion.javahl.Revision revisionStart,
                   org.tigris.subversion.javahl.Revision revisionEnd,
                   boolean ignoreMimeType,
                   boolean includeMergedRevisions,
                   org.tigris.subversion.javahl.BlameCallback2 callback)
                     throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `blame` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.tigris.subversion.javahl.SVNClientInterface`

    - #### setConfigDirectory

          public void setConfigDirectory(java.lang.String configDir)
                                  throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `setConfigDirectory` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### getConfigDirectory

          public java.lang.String getConfigDirectory()
                                              throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `getConfigDirectory` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### cancelOperation

          public void cancelOperation()
                               throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `cancelOperation` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### info

          public org.tigris.subversion.javahl.Info info(java.lang.String path)
                                                 throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `info` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### lock

          public void lock(java.lang.String[] path,
                  java.lang.String comment,
                  boolean force)
                    throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `lock` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### unlock

          public void unlock(java.lang.String[] path,
                    boolean force)
                      throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `unlock` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### getVersionInfo

          public java.lang.String getVersionInfo(java.lang.String path,
                                        java.lang.String trailUrl,
                                        boolean lastChanged)
                                          throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `getVersionInfo` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### version

          public static java.lang.String version()

    - #### versionMajor

          public static int versionMajor()

    - #### versionMinor

          public static int versionMinor()

    - #### versionMicro

          public static int versionMicro()

    - #### versionRevisionNumber

          public static long versionRevisionNumber()

    - #### enableLogging

          public static void enableLogging(int logLevel,
                           java.lang.String logFilePath)

    - #### getNotify

          protected org.tigris.subversion.javahl.Notify getNotify()

      Deprecated.

    - #### getNotify2

          protected org.tigris.subversion.javahl.Notify2 getNotify2()

    - #### getEventListener

          protected ISVNEventHandler getEventListener()

    - #### getConflictHandler

          protected ISVNConflictHandler getConflictHandler()

    - #### getOptions

          public ISVNOptions getOptions()

    - #### getClientManager

          protected SVNClientManager getClientManager()

    - #### getSVNCommitClient

          protected SVNCommitClient getSVNCommitClient()

    - #### getSVNUpdateClient

          protected SVNUpdateClient getSVNUpdateClient()

    - #### getSVNStatusClient

          protected SVNStatusClient getSVNStatusClient()

    - #### getSVNWCClient

          protected SVNWCClient getSVNWCClient()

    - #### getSVNDiffClient

          protected SVNDiffClient getSVNDiffClient()

    - #### getSVNCopyClient

          protected SVNCopyClient getSVNCopyClient()

    - #### getSVNLogClient

          protected SVNLogClient getSVNLogClient()

    - #### getChangelistClient

          protected SVNChangelistClient getChangelistClient()

    - #### getCommitMessage

          protected org.tigris.subversion.javahl.CommitMessage getCommitMessage()

    - #### createCommitMessageHandler

          protected ISVNCommitHandler createCommitMessageHandler(boolean isURLsOnly)

    - #### createCommitMessageHandler

          protected ISVNCommitHandler createCommitMessageHandler(boolean isURLsOnly,
                                                     boolean isImport)

    - #### throwException

          protected void throwException(SVNException e)
                                 throws org.tigris.subversion.javahl.ClientException

      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### isURL

          protected static boolean isURL(java.lang.String pathOrUrl)

    - #### getAdminDirectoryName

          public java.lang.String getAdminDirectoryName()

      Specified by:
        `getAdminDirectoryName` in interface `org.tigris.subversion.javahl.SVNClientInterface`

    - #### isAdminDirectory

          public boolean isAdminDirectory(java.lang.String name)

      Specified by:
        `isAdminDirectory` in interface `org.tigris.subversion.javahl.SVNClientInterface`

    - #### getVersion

          public org.tigris.subversion.javahl.Version getVersion()

      Specified by:
        `getVersion` in interface `org.tigris.subversion.javahl.SVNClientInterface`

    - #### doSwitch

          public long doSwitch(java.lang.String path,
                      java.lang.String url,
                      org.tigris.subversion.javahl.Revision revision,
                      boolean recurse)
                        throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `doSwitch` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### doSwitch

          public long doSwitch(java.lang.String path,
                      java.lang.String url,
                      org.tigris.subversion.javahl.Revision revision,
                      org.tigris.subversion.javahl.Revision pegRevision,
                      int depth,
                      boolean depthIsSticky,
                      boolean ignoreExternals,
                      boolean allowUnverObstructions)
                        throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `doSwitch` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### addToChangelist

          public void addToChangelist(java.lang.String[] paths,
                             java.lang.String changelist,
                             int depth,
                             java.lang.String[] changelists)
                               throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `addToChangelist` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### removeFromChangelists

          public void removeFromChangelists(java.lang.String[] paths,
                                   int depth,
                                   java.lang.String[] changelists)
                                     throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `removeFromChangelists` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### getChangelists

          public void getChangelists(java.lang.String rootPath,
                            java.lang.String[] changelists,
                            int depth,
                            org.tigris.subversion.javahl.ChangelistCallback callback)
                              throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `getChangelists` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### checkout

          public long checkout(java.lang.String moduleName,
                      java.lang.String destPath,
                      org.tigris.subversion.javahl.Revision revision,
                      boolean recurse)
                        throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `checkout` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### checkout

          public long checkout(java.lang.String moduleName,
                      java.lang.String destPath,
                      org.tigris.subversion.javahl.Revision revision,
                      org.tigris.subversion.javahl.Revision pegRevision,
                      boolean recurse,
                      boolean ignoreExternals)
                        throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `checkout` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### checkout

          public long checkout(java.lang.String moduleName,
                      java.lang.String destPath,
                      org.tigris.subversion.javahl.Revision revision,
                      org.tigris.subversion.javahl.Revision pegRevision,
                      int depth,
                      boolean ignoreExternals,
                      boolean allowUnverObstructions)
                        throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `checkout` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### diff

          public void diff(java.lang.String target1,
                  org.tigris.subversion.javahl.Revision revision1,
                  java.lang.String target2,
                  org.tigris.subversion.javahl.Revision revision2,
                  java.lang.String outFileName,
                  boolean recurse)
                    throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `diff` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### diff

          public void diff(java.lang.String target1,
                  org.tigris.subversion.javahl.Revision revision1,
                  java.lang.String target2,
                  org.tigris.subversion.javahl.Revision revision2,
                  java.lang.String outFileName,
                  boolean recurse,
                  boolean ignoreAncestry,
                  boolean noDiffDeleted,
                  boolean force)
                    throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `diff` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### diff

          public void diff(java.lang.String target,
                  org.tigris.subversion.javahl.Revision pegRevision,
                  org.tigris.subversion.javahl.Revision startRevision,
                  org.tigris.subversion.javahl.Revision endRevision,
                  java.lang.String outFileName,
                  boolean recurse,
                  boolean ignoreAncestry,
                  boolean noDiffDeleted,
                  boolean force)
                    throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `diff` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### diff

          public void diff(java.lang.String target1,
                  org.tigris.subversion.javahl.Revision revision1,
                  java.lang.String target2,
                  org.tigris.subversion.javahl.Revision revision2,
                  java.lang.String relativeToDir,
                  java.lang.String outFileName,
                  int depth,
                  java.lang.String[] changelists,
                  boolean ignoreAncestry,
                  boolean noDiffDeleted,
                  boolean force)
                    throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `diff` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### diff

          public void diff(java.lang.String target,
                  org.tigris.subversion.javahl.Revision pegRevision,
                  org.tigris.subversion.javahl.Revision startRevision,
                  org.tigris.subversion.javahl.Revision endRevision,
                  java.lang.String relativeToDir,
                  java.lang.String outFileName,
                  int depth,
                  java.lang.String[] changelists,
                  boolean ignoreAncestry,
                  boolean noDiffDeleted,
                  boolean force)
                    throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `diff` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### diffSummarize

          public void diffSummarize(java.lang.String target1,
                           org.tigris.subversion.javahl.Revision revision1,
                           java.lang.String target2,
                           org.tigris.subversion.javahl.Revision revision2,
                           int depth,
                           java.lang.String[] changelists,
                           boolean ignoreAncestry,
                           org.tigris.subversion.javahl.DiffSummaryReceiver receiver)
                             throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `diffSummarize` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### diffSummarize

          public void diffSummarize(java.lang.String target,
                           org.tigris.subversion.javahl.Revision pegRevision,
                           org.tigris.subversion.javahl.Revision startRevision,
                           org.tigris.subversion.javahl.Revision endRevision,
                           int depth,
                           java.lang.String[] changelists,
                           boolean ignoreAncestry,
                           org.tigris.subversion.javahl.DiffSummaryReceiver receiver)
                             throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `diffSummarize` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### info2

          public org.tigris.subversion.javahl.Info2[] info2(java.lang.String pathOrUrl,
                                                   org.tigris.subversion.javahl.Revision revision,
                                                   org.tigris.subversion.javahl.Revision pegRevision,
                                                   boolean recurse)
                                                     throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `info2` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### info2

          public void info2(java.lang.String pathOrUrl,
                   org.tigris.subversion.javahl.Revision revision,
                   org.tigris.subversion.javahl.Revision pegRevision,
                   int depth,
                   java.lang.String[] changelists,
                   org.tigris.subversion.javahl.InfoCallback callback)
                     throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `info2` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### logMessages

          public void logMessages(java.lang.String path,
                         org.tigris.subversion.javahl.Revision pegRevision,
                         org.tigris.subversion.javahl.RevisionRange[] ranges,
                         boolean stopOnCopy,
                         boolean discoverPath,
                         boolean includeMergedRevisions,
                         java.lang.String[] revProps,
                         long limit,
                         org.tigris.subversion.javahl.LogMessageCallback callback)
                           throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `logMessages` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

    - #### setRevProperty

          public void setRevProperty(java.lang.String path,
                            java.lang.String name,
                            org.tigris.subversion.javahl.Revision rev,
                            java.lang.String value,
                            java.lang.String originalValue,
                            boolean force)
                              throws org.tigris.subversion.javahl.ClientException

      Specified by:
        `setRevProperty` in interface `org.tigris.subversion.javahl.SVNClientInterface`
      Throws:
        `org.tigris.subversion.javahl.ClientException`

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.